Skip to main content
POST
/
webhooks
Create webhook
curl --request POST \
  --url https://api.pokulabs.com/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "eventTypes": [
    "phone.sms.received"
  ],
  "name": "<string>",
  "signingSecret": "<string>",
  "headers": {},
  "reservedPhoneNumberIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'

Authorizations

Authorization
string
header
required

Authentication header containing your Poku API key. Find it in the Poku dashboard. The format is "Bearer YOUR_API_KEY"

Body

application/json
url
string<uri>
required
eventTypes
enum<string>[]
required
Available options:
phone.sms.received,
phone.call.received
name
string
signingSecret
string
headers
object
reservedPhoneNumberIds
string<uuid>[]